eman/pull/631

  

Description

Currently Foreman is configured to do simple file appender logging which requires restarts of Rails during log rotation or sending

signal. It makes integration with 3rd party logging stacks more difficult. Foreman core now has new configuration options (#22493) to

log to system journal and syslog with some enhancements like structured entries.

The goal of this change is to configure Foreman by default to log to:

logger: systemd (or syslog for platforms without system journal)

layout: multiline_pattern

facility: LOG_LOCAL6

In addition to that, installer will deploy the following /etc/rsyslog.d/foreman.conf config file:

local6.* /var/log/foreman/production.log

 This will make sure that all logs are found where they were before the change for easy transition. Users can now enable persistent

system journal to take advantage of new features like structured fields, no rotation or sealing.

Related issues:

Related to Foreman - Feature #22493: Add new logging options to integrate wit... Closed 02/02/2018

Related to Foreman - Tracker #22569: Unified and structured logging Assigned

Associated revisions

Revision 12792515 - 04/17/2018 08:13 PM - Ewoud Kohl van Wijngaarden

Refs #22559 - Add parameters for structured logging

History

#1 - 02/12/2018 03:18 PM - Lukas Zapletal

- Related to Feature #22493: Add new logging options to integrate with logging-journald gem added

#2 - 02/13/2018 09:46 AM - Lukas Zapletal

- Related to Tracker #22569: Unified and structured logging added

#3 - 03/27/2018 06:14 PM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/631 added

#4 - 03/29/2018 01:45 PM - Lukas Zapletal

Started discussion at:

https://community.theforeman.org/t/default-logging-in-foreman-file-syslog-or-journald/8675
https://projects.theforeman.org/issues/22493
https://community.theforeman.org/t/default-logging-in-foreman-file-syslog-or-journald/8675


#5 - 03/29/2018 01:46 PM - Lukas Zapletal

- Pull request deleted (https://github.com/theforeman/puppet-foreman/pull/631)

#6 - 03/29/2018 01:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/631 added

#7 - 04/11/2018 02:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#8 - 04/24/2018 07:34 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 353

#9 - 07/24/2018 07:43 AM - Tomer Brisker

- Triaged set to No

- Fixed in Releases  added

#10 - 08/29/2018 12:20 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.19.0 added

- Fixed in Releases deleted ()

#11 - 08/29/2018 12:22 PM - Ewoud Kohl van Wijngaarden

- Target version changed from 867 to 1.19.0
